#
# spec file for package php5-pear-Text_Wiki
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           php5-pear-Text_Wiki
%define pear_name  Text_Wiki
%define pear_sname text_wiki
Summary:        Transforms Wiki and BBCode markup into XHTML, LaTeX or plain text markup
License:        LGPL-3.0+
Group:          Productivity/Networking/Web/Servers
Version:        1.2.1
Release:        14.1
BuildArch:      noarch
Url:            http://pear.php.net/package/%{pear_name}
Source0:        http://download.pear.php.net/package/%{pear_name}-%{version}.tgz
Source1:        http://www.gnu.org/licenses/lgpl.html
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  php >= 4.3
BuildRequires:  php-macros
BuildRequires:  php5-pear
Requires:       php >= 4.3
Requires:       php5-pear
#
Provides:       php-pear-%{pear_name} pear-%{pear_name}
# Fix for renaming (package convention)
Provides:       php5-pear-%{pear_sname} = %{version}
Provides:       php-pear-%{pear_sname} = %{version}
Provides:       pear-%{pear_sname} = %{version}
Obsoletes:      php5-pear-%{pear_sname} < %{version}
Obsoletes:      php-pear-%{pear_sname} < %{version}
Obsoletes:      pear-%{pear_sname} < %{version}

%description
The text transformation is done in 2 steps.
The chosen parser uses markup rules to tokenize the tags and content.
Renderers output the tokens and text into the requested format.
The tokenized form replaces the tags by a protected byte value associated to an index in an options table. 
This form shares up to 50 rules by all parsers and renderers.
The package is intented for versatile transformers as well as converters.
Text_Wiki is delivered with its own parser, which is used by Yawiki or Horde's Wicked and three basic renderers: XHTML , LaTeX and plain text.
Strong sanitizing of XHTML is default.
Parsers (* and Renderers) exist for BBCode, Cowiki (*), Dokuwiki (*), Mediawiki and Tikiwiki (*).
It is highly configurable and can be easily extended.

%prep
%setup -c

%build

%install
%{__mv} package*.xml %{pear_name}-%{version}
cd %{pear_name}-%{version}
PHP_PEAR_PHP_BIN="$(which php) -d memory_limit=50m"
%{__pear} -v \
        -d doc_dir=/doc \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{php_peardir}/data \
        install --offline --nodeps -R "%{buildroot}" package.xml

%{__mkdir_p} %{buildroot}%{_docdir}/%{name}/
%{__install} -D -m 0644 %{SOURCE1} %{buildroot}%{_docdir}/%{name}/LGPL3.0
%{__install} -D -m 0644 package.xml %{buildroot}%{php_pearxmldir}/%{pear_name}.xml

%{__rm} -rf %{buildroot}/{doc,tmp}
%{__rm} -rf %{buildroot}%{php_peardir}/.{filemap,lock,registry,channels,depdb,depdblock}

cd ..

%php_pear_gen_filelist

%post
# on `rpm -ivh` PARAM is 1
# on `rpm -Uvh` PARAM is 2
if [ "$1" = "1" ]; then
  %{__pear} install --nodeps --soft --force --register-only %{php_pearxmldir}/%{pear_name}.xml
fi
if [ "$1" = "2" ]; then
  %{__pear} upgrade --offline --register-only %{php_pearxmldir}/%{pear_name}.xml
fi

%postun
# on `rpm -e` PARAM is 0
if [ "$1" = "0" ]; then
  %{__pear} uninstall --nodeps --ignore-errors --register-only pear.php.net/%{pear_name}
fi

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-, root, root)
%doc %{_docdir}/%{name}

%changelog
* Wed Jan 18 2012 lang@b1-systems.de
- version 1.2.1
- initial packaging
- Release date: 2010-10-25 10:01 UTC
- Release state: stable
- fixed Bug #12490 wiki's do not display since php5-5.2.5 upgrade but are editable. justinpatrin
- fixed Bug #12580 incorrect/incomplete license in package.xml justinpatrin
- fixed Bug #12619 Tab character before # causes invalid Xhtml justinpatrin
- fixed Bug #12665 External site documentation link invalid justinpatrin
- fixed Doc Bug #14049 Missing documentation justinpatrin
- fixed Bug #14869 skip tests when config is not available, not fail justinpatrin
- fixed Bug #15758 URLs with # at the end not considered a url justinpatrin
- fixed Bug #16222 External documentation is down justinpatrin
